REM Interlaced Mask Creator
REM October 1997 by Rob Wineck
REM -----------------------------

Direction% = 1
StartBand% = 0
BandSize% = 2
NonBandSize% = 2
Feather% = 0
nStart% = 0

BEGIN DIALOG Mask 146, 99, "Proloen masky"
	TEXT  8, 19, 68, 8, "Velikost psu masky:"
	SPINCONTROL  96, 15, 40, 14, BandSize%
	OPTIONGROUP Direction%
		OPTIONBUTTON  8, 50, 50, 10, "Svisle"
		OPTIONBUTTON  8, 62, 50, 9, "Vodorovn"
	CANCELBUTTON  100, 81, 40, 14
	OKBUTTON  56, 81, 40, 14
	GROUPBOX  2, 5, 141, 72, "Monosti masky"
	OPTIONGROUP StartBand%
		OPTIONBUTTON  96, 50, 35, 10, "Sud"
		OPTIONBUTTON  96, 62, 35, 10, "Lich"
	TEXT  8, 34, 89, 8, "Velikost psu mimo masku:"
	SPINCONTROL  96, 30, 40, 14, NonBandSize%
END DIALOG

label1 = "Pomoc tohoto skriptu lze vytvoit proloenou masky."
BEGIN DIALOG Dialog1 196, 74, "Vytvoen proloen masky"
	GROUPBOX  2, 1, 191, 53
	TEXT  8, 12, 178, 37, label1
	OKBUTTON  109, 57, 40, 14
	CANCELBUTTON  153, 57, 40, 14
END DIALOG

ret = DIALOG(Dialog1)
' If Cancel is selected, stop the script
IF ret = 2 THEN STOP
nRet = Dialog(Mask)
if nRet = 2 then stop

WITHOBJECT "CorelPhotoPaint.Automation.8"

	REM **** Use Document's Width and Height
	Width% = .GetDocumentWidth()
	Height% = .GetDocumentHeight()
	
	
	if StartBand then StartBand = NonBandSize
	if Direction then
		WHILE StartBand < Height
			.MaskRectangle 0, (StartBand) , Width, (StartBand + BandSize)-1, 1, 0 		
			StartBand = StartBand + BandSize + NonBandSize
		WEND
	else
		WHILE StartBand < Width
			.MaskRectangle StartBand, 0 , StartBand + BandSize - 1, Height, 1, 0 		
			StartBand = StartBand + BandSize + NonBandSize
		WEND
	endif 
END WITHOBJECT


