REM Movie Fader - Just like on some Camcorders
REM Created On November 18, 1996 by Rob Wineck
REM ********************************************************

nFrames& = 0
FadeIn% = 1
FadeValue% = 1
REM Default Fade Color is Black
'***********************************Dialog declaration
BEGIN DIALOG Fader 189, 98, "Monosti zeslaben obrazovky"
	TEXT  13, 10, 61, 11, "Poten snmek: "
	SPINCONTROL  13, 21, 40, 15, startFrame%
	TEXT  78, 10, 57, 11, "Koncov snmek: "
	SPINCONTROL  78, 21, 40, 15, endFrame%
	OKBUTTON  81, 82, 50, 15
	CANCELBUTTON  135, 82, 50, 15
	OPTIONGROUP FadeIn%
		OPTIONBUTTON  135, 15, 40, 12, "Zeslen"
		OPTIONBUTTON  135, 26, 46, 14, "Zeslaben"
	GROUPBOX  4, 0, 181, 78
	SPINCONTROL  78, 56, 36, 15, Green%
	SPINCONTROL  24, 56, 36, 15, Red%
	SPINCONTROL  135, 56, 36, 15, Blue%
	TEXT  13, 45, 50, 10, "Zeslabit barvu"
	TEXT  13, 60, 8, 8, "R:"
	TEXT  122, 60, 8, 8, "B:"
	TEXT  66, 60, 8, 8, "G:"
END DIALOG

'***************************Set defaults

label1 = "Tento skript vytvo efekt zeslaben u nkolika sad snmk animace." \\
					+ CHR(13)+CHR(10)+ CHR(13)+CHR(10)+ \\
					"POZNMKA: 24bitovou animaci nebo animaci stup ed je nutno otevt v programu Corel PHOTO-PAINT."
BEGIN DIALOG Dialog1 196, 77, "Zeslaben animace"
	GROUPBOX  2, 1, 191, 55
	TEXT  8, 9, 178, 41, label1
	OKBUTTON  109, 60, 40, 14
	CANCELBUTTON  153, 60, 40, 14
END DIALOG

ret = DIALOG(Dialog1)
' If Cancel is selected, stop the script
IF ret = 2 THEN STOP


WITHOBJECT "CorelPhotoPaint.Automation.8"
	
	nFrames = .GetFrameCount()
	if (nFrames < 1) then
		message "Tento skript pracuje pouze s animac obsahujc vce snmk."
		STOP
	end if

	REM *** CHECK to see if valid movie type
	docType& = .GetDocumentType()
	if (docType <> 1) AND (docType <> 2) then
		message "Skript pracuje pouze s 24bitovmi animacemi a s animacemi stup ed."
		STOP
	endif	

	startFrame% = 1
	endFrame% = nFrames
	num%  = 0
	
	ret = DIALOG(Fader)
	IF ret = 2 THEN STOP
	IF startFrame < 1 THEN STOP
	IF endFrame < 1 THEN STOP
	IF endFrame < startFrame THEN STOP

	nFrames = (endFrame% - startFrame%) + 1
	REM Calculate the Fade Increment
	FadeValue% = 100 / nFrames
	REM the first frame we are working on
	.MovieGotoFrame startFrame%
	FOR i% = 1 to nFrames
		if FadeIn then
			num% = 100 - ( FadeValue * (i-1) )
			if num% < 0 then num% = 0
	  else
			num% = FadeValue% * i%
			if num% > 100 then num% = 100
		end if 
		.EditFill 0, num, 100, 1, 0, 0, 0, 0, 0, 0, 0
		.FillSolid 5, Red, Green, Blue, 0
		.EndEditFill 
		.MovieForwardOne
	NEXT i%

END WITHOBJECT
