REM Paste an Object to all Movie Frames
REM Updated on Aug 23, 1996 by Rob Wineck
REM ********************************************************

REM Array of Names - Room for 10, increase if you need more
DIM ObjNames(10) as STRING
NameVal% = 1
StartOpacity% = 100
EndOPacity% = 100

REM Set to FALSE if you don't want the dialog box
bWarning% = TRUE

BEGIN DIALOG PasteObject 215, 123, "Vloit objekt do snmk"
	TEXT  14, 20, 60, 10, "Poten snmek"
	TEXT  14, 37, 54, 9, "Koncov snmek"
	SPINCONTROL  77, 17, 30, 13, nStart%
	SPINCONTROL  77, 36, 30, 14, nEnd%
	OKBUTTON  126, 106, 40, 14
	CANCELBUTTON  169, 106, 40, 14
	LISTBOX  125, 14, 84, 90, ObjNames, NameVal%
	GROUPBOX  4, 4, 112, 55, "Rozsah snmk"
	SPINCONTROL  77, 78, 30, 14, StartOpacity%
	SPINCONTROL  77, 98, 30, 14, EndOpacity%
	TEXT  12, 82, 52, 9, "Poten kryt"
	TEXT  12, 100, 47, 10, "Koncov kryt"
	TEXT  126, 4, 50, 8, "Vybrat objekt"
	GROUPBOX  4, 65, 112, 55, "Nastaven objektu"
END DIALOG

label1 = "Tento skript slou vechny objekty s pozadm."  \\
					+ CHR(13)+CHR(10)+ CHR(13)+CHR(10)+ \\
					"POZNMKA: 24bitovou animaci nebo animaci stup ed je nutno otevt v programu Corel PHOTO-PAINT. Ped sputnm skriptu se pesvdte, e jsou vechny objekty sprvn umstny."

BEGIN DIALOG Dialog1 196, 80, "Vloen animace"
	GROUPBOX  2, 1, 191, 60
	TEXT  8, 9, 178, 49, label1
	OKBUTTON  109, 64, 40, 14
	CANCELBUTTON  153, 64, 40, 14
END DIALOG

ret = DIALOG(Dialog1)
' If Cancel is selected, stop the script
IF ret = 2 THEN STOP

WITHOBJECT "CorelPhotoPaint.Automation.8"
	REM Get the Number of Frames in the Movie	
	nFrames% = .GetFrameCount()
	nStart% = 1
	nEnd% = nFrames

	if (nFrames = 0) THEN
		BEEP
		message "Tento skript lze spustit v souborech s animac."
		STOP
	ENDIF
	
	nObjects% = .GetObjectCount()
	if (nObjects = 0) then
		BEEP
		message "Tento skript pracuje s objekty."
		STOP
	endif

	'Make the Pick Tool Active
	.SetActiveTool 34501
	
	FOR i% = 1 TO nObjects 
		ObjNames(i%) = .GetObjectName(i%)
	NEXT i%

	REM Do the Dialog. No error checking so enter proper values
	ret2 = DIALOG(PasteObject)
	IF ret2 = 2 THEN STOP

	REM Select the Chosen Object, and make a shadow for it
	.ObjectSelectNone
	.ObjectSelect NameVal, -1
	.GetObjectRectangle NameVal, oLeft&, oTop&, oRight&, oBottom&
	.EditCut
	
	REM Calculate Fade Factor
	increment& = (EndOpacity - StartOpacity) / ((nEnd - nStart) + 1)
	
	For i% = nStart to nEnd	
		.MovieGotoFrame i
		.EditPasteObject oLeft, oBottom, "" 
		.ObjectSelectNone 
		.ObjectSelect nObjects, -1
		.ObjectOpacity StartOpacity + (i - nStart) * increment
		.ObjectMerge 0
	Next i
END WITHOBJECT
